org.hibernate.search.backend.impl.blackhole

## Class BlackHoleBackend

- java.lang.Object
- - org.hibernate.search.backend.impl.blackhole.BlackHoleBackend

- All Implemented Interfaces:
    Backend

      public class BlackHoleBackend
      extends Object
      implements Backend

  This backend does not do anything: the Documents are not sent to any index but are discarded. Useful to identify the bottleneck in indexing performance problems, fully disabling the backend system but still building the Documents needed to update an index (loading data from DB).
  Author:
    Sanne Grinovero

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BlackHoleBackend` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BackendQueueProcessor` | `createQueueProcessor(IndexManager indexManager, WorkerBuildContext context)` Called exactly once for each index manager using this backend.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.search.backend.spi.Backend

      `close, initialize, isTransactional`

- - ### Field Detail

    - #### INSTANCE

          public static final BlackHoleBackend INSTANCE

  - ### Method Detail

    - #### createQueueProcessor

          public BackendQueueProcessor createQueueProcessor(IndexManager indexManager,
                                                            WorkerBuildContext context)

      Description copied from interface: `Backend`
      Called exactly once for each index manager using this backend.
      Specified by:
        `createQueueProcessor` in interface `Backend`
      Parameters:
        `indexManager` - the `IndexManager` the `BackendQueueProcessor` will point to
        `context` - context giving access to required meta data
      Returns:
        a `BackendQueueProcessor` that will send its works to the given index manager

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved